<?php
/**
* @package WebSpeechAPI for WP
* @version 1.0
*/
/*
Plugin Name: WebSpeechAPI for WP
Plugin URI: https://www.value-web.asia/
Description: WebSpeechAPI for WP.
Author: Cross&Crown LLC
Version: 1.0
Author URI: http://www.crossandcrown.co.jp/
*/

function wsapiwp_admin_script(){
		wp_enqueue_script('wsapiwp_script', plugins_url().'/webspeechapi/js/webspeechapi.js');
}
add_action( 'admin_enqueue_scripts', 'wsapiwp_admin_script' );

function wsapiwp_admin_style(){
		wp_enqueue_style('wsapiwp_css', plugins_url().'/webspeechapi/css/style.css');
}
add_action( 'admin_enqueue_scripts', 'wsapiwp_admin_style' );

function wsapiwp_voice_btn_title_bottom(){ ?>
<h2>Web Speech API</h2>
<div class="wsapiwp_body clearfix">
	<div class="wsapiwp_content_left">
	    <textarea id="progress" cols="" rows="5"></textarea>
	</div>
	<div class="wsapiwp_content_right">
	<h2>Status:<span id="status"></span></h2>
	    <div class="wsapiwp_content_btns"><input type="button" onClick="wsapiwp_function();" value="START" id="speech_start">
	    <input type="button" value="STOP" id="speech_stop"></div>
	</div>
</div>

<hr>
<?php }
add_action( 'edit_form_after_title', wsapiwp_voice_btn_title_bottom );

